## arpack++ 2.1

=== examples/areig/complex/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/areig/complex directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining areig directory.

AREIG_DIR = $(ARPACKPP_DIR)/examples/areig

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/complex

# compiling and linking all examples.

all: acompreg acompshf acompgre acompgsh

# compiling and linking each complex problem.

acompreg:        acompreg.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o acompreg acompreg.o $(SUPERLU_LIB) $(ALL_LIBS)

acompshf:        acompshf.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o acompshf acompshf.o $(SUPERLU_LIB) $(ALL_LIBS)

acompgsh:        acompgsh.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o acompgsh acompgsh.o $(SUPERLU_LIB) $(ALL_LIBS)

acompgre:        acompgre.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o acompgre acompgre.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

=== examples/areig/nonsym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/areig/nonsym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining areig directory.

AREIG_DIR = $(ARPACKPP_DIR)/examples/areig

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/nonsym

# compiling and linking all examples.

all: simple ansymreg ansymshf ansymgre ansymgsh ansymgsc

# compiling and linking each nonsymmetric problem.

simple:	simple.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o simple simple.o $(SUPERLU_LIB) $(ALL_LIBS)

ansymreg:        ansymreg.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o ansymreg ansymreg.o $(SUPERLU_LIB) $(ALL_LIBS)

ansymshf:        ansymshf.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o ansymshf ansymshf.o $(SUPERLU_LIB) $(ALL_LIBS)

ansymgre:        ansymgre.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o ansymgre ansymgre.o $(SUPERLU_LIB) $(ALL_LIBS)

ansymgsh:        ansymgsh.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o ansymgsh ansymgsh.o $(SUPERLU_LIB) $(ALL_LIBS)

ansymgsc:        ansymgsc.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o ansymgsc ansymgsc.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

=== examples/areig/sym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/areig/sym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining areig directory.

AREIG_DIR = $(ARPACKPP_DIR)/examples/areig

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/sym

# compiling and linking all examples.

all: asymreg asymshf asymgreg asymgshf asymgbkl asymgcay

# compiling and linking each symmetric problem.

asymreg:	asymreg.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymreg asymreg.o $(SUPERLU_LIB) $(ALL_LIBS)

asymshf:	asymshf.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymshf asymshf.o $(SUPERLU_LIB) $(ALL_LIBS)

asymgreg:	asymgreg.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymgreg asymgreg.o $(SUPERLU_LIB) $(ALL_LIBS)

asymgshf:	asymgshf.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymgshf asymgshf.o $(SUPERLU_LIB) $(ALL_LIBS)

asymgbkl:	asymgbkl.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymgbkl asymgbkl.o $(SUPERLU_LIB) $(ALL_LIBS)

asymgcay:	asymgcay.o
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -o asymgcay asymgcay.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(AREIG_DIR) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

=== examples/band/complex/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/band/complex directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining bandmat directory.

BANDMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/complex

# compiling and linking all examples.

all: bcompreg bcompshf bcompgre bcompgsh

# compiling and linking each complex problem.

bcompreg:       bcompreg.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bcompreg bcompreg.o $(ALL_LIBS)

bcompshf:	bcompshf.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bcompshf bcompshf.o $(ALL_LIBS)

bcompgre:	bcompgre.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bcompgre bcompgre.o $(ALL_LIBS)

bcompgsh:	bcompgsh.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bcompgsh bcompgsh.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -c $<

=== examples/band/nonsym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/band/nonsym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining bandmat directory.

BANDMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/nonsym

# compiling and linking all examples.

all: bnsymreg bnsymshf bnsymgre bnsymgsh bnsymgsc bsvd

# compiling and linking each nonsymmetric problem.

bnsymreg:       bnsymreg.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bnsymreg bnsymreg.o $(ALL_LIBS)

bnsymshf:	bnsymshf.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bnsymshf bnsymshf.o $(ALL_LIBS)

bnsymgre:	bnsymgre.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bnsymgre bnsymgre.o $(ALL_LIBS)

bnsymgsh:	bnsymgsh.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bnsymgsh bnsymgsh.o $(ALL_LIBS)

bnsymgsc:	bnsymgsc.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bnsymgsc bnsymgsc.o $(ALL_LIBS)

bsvd:	bsvd.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsvd bsvd.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -c $<

=== examples/band/sym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/band/sym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining bandmat directory.

BANDMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/sym

# compiling and linking all examples.

all: bsymreg bsymshf bsymgreg bsymgshf bsymgbkl bsymgcay

# compiling and linking each symmetric problem.

bsymreg:	bsymreg.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymreg bsymreg.o $(ALL_LIBS)

bsymshf:	bsymshf.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymshf bsymshf.o $(ALL_LIBS)

bsymgreg:	bsymgreg.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymgreg bsymgreg.o $(ALL_LIBS)

bsymgshf:	bsymgshf.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymgshf bsymgshf.o $(ALL_LIBS)

bsymgbkl:	bsymgbkl.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymgbkl bsymgbkl.o $(ALL_LIBS)

bsymgcay:	bsymgcay.o
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -o bsymgcay bsymgcay.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(BANDMAT_DIR) -c $<

=== examples/dense/complex/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/dense/complex directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining DENSEMAT directory.

DENSEMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/complex

# compiling and linking all examples.

all: dcompreg dcompshf dcompgre dcompgsh

# compiling and linking each complex problem.

dcompreg:       dcompreg.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dcompreg dcompreg.o $(ALL_LIBS)

dcompshf:	dcompshf.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dcompshf dcompshf.o $(ALL_LIBS)

dcompgre:	dcompgre.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dcompgre dcompgre.o $(ALL_LIBS)

dcompgsh:	dcompgsh.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dcompgsh dcompgsh.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -c $<

=== examples/dense/nonsym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/dense/nonsym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining densemat directory.

DENSEMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/nonsym

# compiling and linking all examples.

all: dnsymreg dnsymshf dnsymgre dnsymgsh dnsymgsc dsvd

# compiling and linking each nonsymmetric problem.

dnsymreg:       dnsymreg.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dnsymreg dnsymreg.o $(ALL_LIBS)

dnsymshf:	dnsymshf.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dnsymshf dnsymshf.o $(ALL_LIBS)

dnsymgre:	dnsymgre.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dnsymgre dnsymgre.o $(ALL_LIBS)

dnsymgsh:	dnsymgsh.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dnsymgsh dnsymgsh.o $(ALL_LIBS)

dnsymgsc:	dnsymgsc.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dnsymgsc dnsymgsc.o $(ALL_LIBS)

dsvd:	dsvd.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsvd dsvd.o $(ALL_LIBS)

dsvd2:	dsvd2.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsvd2 dsvd2.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -c $<

=== examples/dense/sym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/dense/sym directory makefile.

# including other makefiles.

include ../../../Makefile.inc

# defining densemat directory.

DENSEMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/sym

# compiling and linking all examples.

all: dsymreg dsymshf dsymgreg dsymgshf dsymgbkl dsymgcay

# compiling and linking each symmetric problem.

dsymreg:	dsymreg.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymreg dsymreg.o $(ALL_LIBS)

dsymshf:	dsymshf.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymshf dsymshf.o $(ALL_LIBS)

dsymgreg:	dsymgreg.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymgreg dsymgreg.o $(ALL_LIBS)

dsymgshf:	dsymgshf.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymgshf dsymgshf.o $(ALL_LIBS)

dsymgbkl:	dsymgbkl.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymgbkl dsymgbkl.o $(ALL_LIBS)

dsymgcay:	dsymgcay.o
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -o dsymgcay dsymgcay.o $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(DENSEMAT_DIR) -c $<

=== examples/harwell/complex/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/harwell/complex directory makefile

# including other makefiles.

include ../../../Makefile.inc

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/complex

# compiling and linking all examples.

all: hcompstd hcompgen

# compiling and linking each complex problem.

hcompstd:	hcompstd.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hcompstd hcompstd.o $(SUPERLU_LIB) $(ALL_LIBS)

hcompgen:	hcompgen.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hcompgen hcompgen.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

=== examples/harwell/nonsym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/harwell/nonsym directory makefile

# including other makefiles.

include ../../../Makefile.inc

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/nonsym

# compiling and linking all examples.

all: hnsymstd hnsymgen

# compiling and linking each nonsymmetric problem.

hnsymstd:       hnsymstd.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hnsymstd hnsymstd.o $(SUPERLU_LIB) $(ALL_LIBS)

hnsymgen:	hnsymgen.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hnsymgen hnsymgen.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

=== examples/harwell/sym/Makefile ===
# ARPACK++ v1.0 8/1/1997
# c++ interface to ARPACK code.
# examples/harwell/sym directory makefile

# including other makefiles.

include ../../../Makefile.inc

# defining cscmat directory.

CSCMAT_DIR = $(ARPACKPP_DIR)/examples/matrices/sym

# compiling and linking all examples.

all: hsymstd hsymgen

# compiling and linking each symmetric problem.

hsymstd:	hsymstd.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hsymstd hsymstd.o $(SUPERLU_LIB) $(ALL_LIBS)

hsymgen:	hsymgen.o
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -o hsymgen hsymgen.o $(SUPERLU_LIB) $(ALL_LIBS)

# defining cleaning rule.

.PHONY:	clean
clean:
	rm -f *~ *.o core

# defining pattern rules.

%.o:	%.cc
	$(CPP) $(CPP_FLAGS) -I$(CSCMAT_DIR) -I$(SUPERLU_DIR) -c $<

## arpack++ 2.3

=== debian/changelog ===
arpack++ (2.3-8) unstable; urgency=medium

  * [5cdaf7c] Set Standards-Version: 4.1.1. No changes
  * [07647b0] Remove myself from uploaders

 -- Anton Gladky <gladk@debian.org>  Tue, 12 Dec 2017 19:42:46 +0100

arpack++ (2.3-7) unstable; urgency=medium

  * Upload into unstable.

 -- Anton Gladky <gladk@debian.org>  Sat, 15 Jul 2017 23:38:55 +0200

arpack++ (2.3-7~exp1) experimental; urgency=medium

  * [a147bbe] Switch to compat-level 10.
  * [b8c7298] Use hardening=+all option.

 -- Anton Gladky <gladk@debian.org>  Fri, 19 May 2017 18:55:47 +0200

arpack++ (2.3-6) unstable; urgency=medium

  * [1035f68] Apply cme fix dpkg.
  * [aeed845] Remove Christophe from uploaders list. (Closes: #835015)

 -- Anton Gladky <gladk@debian.org>  Sat, 27 Aug 2016 08:58:27 +0200

arpack++ (2.3-5) unstable; urgency=medium

  * [a562818] Skip example-folder by configure script.
  * [83ff38e] Do not compress Makefile. (Closes: #761258)

 -- Anton Gladky <gladk@debian.org>  Fri, 12 Sep 2014 19:43:00 +0200

arpack++ (2.3-4) unstable; urgency=medium

  * [4d15442] Use dh9 instead of cdbs.
  * [d1c6199] Multiarc the library.
  * [5f6c492] Use DEP-5 for d/copyright.
  * [41550ca] Do not build example-dir.
  * [bcb89f4] Ignore quilt dir
  * [5b7e0cf] Replace libsuperlu3-dev by libsuperlu-dev.
  * [9fe3231] Add libopenblas-dev to Recommends.
  * [ee90eaf] Add autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Thu, 11 Sep 2014 20:24:08 +0200

arpack++ (2.3-3) unstable; urgency=low

  [ Sylvestre Ledru ]
  * Team upload
  * Standards-Version updated to 3.9.5
  * Fix the URL (Closes: #702546)
  * libarpack++2-dev recommends libsuperlu3-dev (Closes: #726568)
  * Fix 'gcc-4.7 build errors (missing this pointers)' (Closes: #684805)

  [ Daniel T Chen ]
  * [89a7d41] Use dh-autoreconf. (Closes: #713300)

  [ Anton Gladky ]
  * [e72ea5e] Set build-flags using dpkg-buildflags.
  * [33978b1] Set compat 9.
  * [22174c7] Add myself to uploaders.
  * [7a88366] Use wrap-and-sort.
  * [c1848c7] Switch VCS to git.

 -- Anton Gladky <gladk@debian.org>  Wed, 10 Sep 2014 20:37:45 +0200

arpack++ (2.3-2) unstable; urgency=low

  * Team upload
  * Package moved to debian science
  * Standards-Version updated to version 3.9.2
  * Codes with "arlsmat.h" could not be compiled. Thanks to Konstantinos
    Poulios for the patch (Closes: #508744)
  * Switch to dpkg-source 3.0 (quilt) format
  * spelling-error-in-description fixed: correponding => corresponding
  * outdated-autotools-helper-file fixed => autoreconf
  * debhelper-but-no-misc-depends fixed

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 03 Aug 2011 10:29:30 +0200

arpack++ (2.3-1) unstable; urgency=low

  [ Christophe Prud'homme ]
  * New upstream release
  * debian/control: update Standards-Version to 3.7.3, no changes
  * debian/control: removed XS- prefix
  * upstream is now hosted on gforge.imag.fr
  * Fixed "please update to use gfortran based lapack, blas", thanks to
    Kumar Appaiah (Closes: #463931).

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 14 Mar 2008 08:40:55 +0100

arpack++ (2.2-10) unstable; urgency=low

  [ Christophe Prud'homme ]
  * updated autotools files

  [ Rafael Laboissiere ]
  * debian/control: Added XS-Vcs-Svn and XS-Vcs-Browser fields to the Source
    section

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 29 May 2007 22:51:04 +0200

arpack++ (2.2-9) unstable; urgency=low

  * Fixed miscompiles on amd64 with rpath /usr/lib64, thanks to Goswin von
    Brederlow (closes: #378210)

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 16 Jul 2006 12:56:13 +0200

arpack++ (2.2-8) unstable; urgency=low

  * Updated to Standards-Version 3.7.2(no change)
  * Updated Maintainer and Uploaders field
  * Fixed FTBFS with GCC 4.2: C/C++ linkage declarations conflict (closes: #377103)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri,  7 Jul 2006 15:11:17 +0200

arpack++ (2.2-7) unstable; urgency=low

  * g++/libstdc++ new allocator transition
  * use my debian email address

 -- Christophe Prud'homme <prudhomm@debian.org>  Sun, 20 Nov 2005 17:26:49 +0100

arpack++ (2.2-6) unstable; urgency=low

  * Build-Depends on refblas-3dev and lapack3-dev

 -- Christophe Prud'homme <prudhomm@mit.edu>  Fri, 15 Jul 2005 07:45:34 +0200

arpack++ (2.2-5) unstable; urgency=low

  * Change Build-Depends for blas and lapack

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 15 Jul 2005 00:01:33 +0200

arpack++ (2.2-4) unstable; urgency=low

  * g++-4.0 transition: libarpack++2 -> libarpack++2c2
  * Update Standards-Version to 3.6.2 (no changes)
  * Changed Build-Depends blas-dev to refblas3-dev

 -- Christophe Prud'homme <prudhomm@mit.edu>  Sun, 10 Jul 2005 09:30:57 +0200

arpack++ (2.2-3) unstable; urgency=low

  * really fix build-depends
  * FTBFS: Missing Build-Depends on 'libg2c0-dev, blas-dev, lapack3-dev,
    libarpack2-dev' (closes: #302032)
  * FTBFS: you need blas (closes: #302094)

 -- Christophe Prud'homme <prudhomm@debian.org>  Wed, 30 Mar 2005 08:19:00 +0200

arpack++ (2.2-2) unstable; urgency=low

  * Fix build dependencies

 -- Christophe Prud'homme <prudhomm@debian.org>  Tue, 29 Mar 2005 20:44:21 +0200

arpack++ (2.2-1) unstable; urgency=low

  * Fixed all examples, autotools-ified, added testsuite
  * arpack++: fails to comple simple.cc example given in "nonsym" examples
    directory (closes: #300168)

 -- Christophe Prud'homme <prudhomm@debian.org>  Fri, 25 Mar 2005 15:25:10 +0100

arpack++ (2.1-6) unstable; urgency=low

  * patch applied to get rid of multiple symbols at link time when used
    certain compilation options (like -g)
  * follow standard naming conventions: renamed to libarpack++ and
    libarpac++-dev
  * update build-depends on debhelper
  * make -f Makefile.cvs  not called in rules anymore

 -- Christophe Prud'homme <prudhomm@mit.edu>  Tue,  9 Dec 2003 09:15:21 +0100

arpack++ (2.1-5) unstable; urgency=low

  * update Standards-Version
  * depends on libarpack2-dev



=== debian/control ===
Source: arpack++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Section: devel
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-autoreconf,
               libarpack2-dev,
               libblas-dev,
               liblapack-dev
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/arpack++.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/arpack++.git
Homepage: http://www.caam.rice.edu/software/ARPACK/arpack++.html

Package: libarpack++2-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libarpack++2c2a (= ${binary:Version}),
         libarpack2-dev,
         ${misc:Depends}
Recommends: libsuperlu-dev,
            libopenblas-dev
Pre-Depends: ${misc:Pre-Depends}
Description: Object-oriented version of the ARPACK package (development)
 ARPACK++ is an object-oriented version of the ARPACK package. It consists a
 collection of classes that offers c++ programmers an interface to ARPACK. It
 preserves the full capability, performance, accuracy and low memory
 requirements of the FORTRAN package, but takes advantage of the c++
 object-oriented programming environment.
 .
 ARPACK stands for ARnoldi PACKage and provides standard and
 generalized eigenvalue solvers for sparse matrices that arises
 typically from finite element codes. See the corresponding Debian
 package.

Package: libarpack++2c2a
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Conflicts: arpack++,
           libarpack++2,
           libarpack++2c2
Replaces: libarpack++2,
          libarpack++2c2
Description: Object-oriented version of the ARPACK package (runtime)
 ARPACK++ is an object-oriented version of the ARPACK package. It consists a
 collection of classes that offers c++ programmers an interface to ARPACK. It
 preserves the full capability, performance, accuracy and low memory
 requirements of the FORTRAN package, but takes advantage of the c++
 object-oriented programming environment.
 .
 ARPACK stands for ARnoldi PACKage and provides standard and
 generalized eigenvalue solvers for sparse matrices that arises
 typically from finite element codes. See the corresponding Debian
 package.

=== debian/rules ===
#! /usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all


%:
	dh $@ --with autoreconf

override_dh_compress:
	dh_compress -XMakefile

=== debian/watch ===
version=3
http://ljk.imag.fr/membres/Christophe.Prudhomme/software/ arpack\+\+-([\d.]+)\.tar\.gz
